#include <iostream>
using namespace std;
int main()
{
    int n,k;
    int a[100]={0};
    cin>>n>>k;
    for(int i=0;i<n;i++)
    cin>>a[i];
    if(k==a[n-1])
        cout<<a[0];
    else
    for(int i=0;i<n;i++)
         if(k==a[i])
           cout<<a[++i];
    return 0;
}